LibreOffice LibreOffice 5.3 SDK API Reference

Public Member Functions | List of all members
XCachedPrimitive Interface Reference

Interface for cached repaint of already drawn XCanvas primitives. More...

`import"XCachedPrimitive.idl";`

Inheritance diagram for XCachedPrimitive:

## Public Member Functions
byte | redraw ([in] ViewState aState) raises (com::sun::star::lang::IllegalArgumentException)
| Redraw the cached primitive. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Interface for cached repaint of already drawn XCanvas primitives.

This interface provides a method to quickly redraw some XCanvas primitives, using cached data.

Since
  OOo 2.0

## Member Function Documentation

## ◆ redraw()

byte redraw | ( | [in] ViewState | aState | ) |
raises | ( | com::sun::star::lang::IllegalArgumentException
| ) |  |

Redraw the cached primitive.

Redraw the cached primitive, with a possibly new view state.

Parameters

  aState | The view state to be used when redrawing the primitive. The view state is of course permitted to differ from the one used for initial rendering.

Returns
  a value of type RepaintResult, denoting the result of this operation.

Exceptions

  com::sun::star::lang::IllegalArgumentException | if the view transformation matrix is singular.

The documentation for this interface was generated from the following file:

- com/sun/star/rendering/XCachedPrimitive.idl